> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/apis/api-reference/operations-validations.md).

# Operations Validations

Endpoints to create, update, and read operations validations.

## List operations validations

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Get all operations validations with pagination.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read operations validations.","name":"Operations validations"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OperationsValidations":{"properties":{"operationsValidations":{"description":"List of operations validations.","items":{"$ref":"#/components/schemas/OperationsValidation"},"type":"array"},"total":{"description":"Total number of found entities for this query.","type":"number"}},"required":["operationsValidations","total"],"title":"OperationsValidations","type":"object","description":"OperationsValidations"},"OperationsValidation":{"properties":{"created":{"description":"The date this entity was created by fulfillmenttools. This value is generated by the service.","format":"date-time","type":"string"},"id":{"description":"Unique ID of this operations validation.","minLength":1,"type":"string"},"key":{"description":"The key associated with this operations validation. Together with tenantArticleId it must be unique.","minLength":1,"type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"tenantArticleId":{"description":"The tenant article id associated with this operations validation.","minLength":1,"type":"string"},"tenantArticleIdKey":{"description":"Read-only combination of tenantArticleId and key, separated by \"_\". Generated by the service and intended for display and search. Not guaranteed to be unique, as both tenantArticleId and key may contain \"_\". Use tenantArticleId and key for an exact match.","minLength":1,"readOnly":true,"type":"string"},"valueEntries":{"description":"The values registered for this tenantArticleId and key, each with the operative entity and process it was registered from. A value can only be registered once per tenantArticleId and key.","items":{"$ref":"#/components/schemas/OperationsValidationValueEntry"},"type":"array"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["created","lastModified","version","id","tenantArticleId","valueEntries","key","tenantArticleIdKey"],"title":"OperationsValidation","type":"object","description":"OperationsValidation"},"OperationsValidationValueEntry":{"properties":{"created":{"description":"Timestamp of creation for this entry.","format":"date-time","type":"string"},"deletionDate":{"description":"Times of automatic deletion of this entry.","format":"date-time","type":"string"},"processRef":{"description":"ProcessRef of the referenced entity in sourceOperativeEntity.","minLength":1,"type":"string"},"sourceOperativeEntity":{"allOf":[{"$ref":"#/components/schemas/OperationsValidationSourceOperativeEntity"}],"description":"The operative entity this value was registered from."},"value":{"description":"The registered value.","minLength":1,"type":"string"}},"required":["value","processRef","sourceOperativeEntity","created","deletionDate"],"title":"OperationsValidationValueEntry","type":"object","description":"OperationsValidationValueEntry"},"OperationsValidationSourceOperativeEntity":{"properties":{"entityId":{"description":"ID of the operative entity.","minLength":1,"type":"string"},"recordableAttributeId":{"description":"ID of recordable attribute of the operative entity.","minLength":1,"type":"string"},"type":{"description":"Type of the operative entity. Currently only PICK_JOB is supported.","enum":["PICK_JOB"],"type":"string"}},"required":["entityId","recordableAttributeId","type"],"title":"OperationsValidationSourceOperativeEntity","type":"object","description":"OperationsValidationSourceOperativeEntity"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/operationsvalidations":{"get":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Get all operations validations with pagination.","operationId":"getAllOperationsValidations","parameters":[{"description":"Filter operations validations by tenantArticleId.","in":"query","name":"tenantArticleId","required":false,"schema":{"type":"string"}},{"description":"Filter operations validations by key.","in":"query","name":"key","required":false,"schema":{"type":"string"}},{"description":"Filter operations validations by tenantArticleIdKey. May match more than one operations validation; filter by tenantArticleId and key for an exact match.","in":"query","name":"tenantArticleIdKey","required":false,"schema":{"type":"string"}},{"description":"The id of the last operations validation of the previous page.","in":"query","name":"startAfterId","required":false,"schema":{"type":"string"}},{"description":"Number of items to return. Default: 25, maximum: 500.","in":"query","name":"size","required":false,"schema":{"default":25,"maximum":500,"minimum":1,"type":"number"}},{"description":"Sort operations validations by created or lastModified, ascending or descending.","in":"query","name":"orderBy","required":false,"schema":{"enum":["OPERATIONS_VALIDATION_CREATED_ASC","OPERATIONS_VALIDATION_CREATED_DESC","OPERATIONS_VALIDATION_LAST_MODIFIED_ASC","OPERATIONS_VALIDATION_LAST_MODIFIED_DESC"],"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperationsValidations"}}},"description":"The operations validations that were found based on the given filters."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"List operations validations","tags":["Operations validations"]}}}}
```

## Create operations validation

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Creates a new operations validation.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read operations validations.","name":"Operations validations"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OperationsValidationForCreation":{"properties":{"key":{"description":"The key associated with this operations validation. Together with tenantArticleId it must be unique.","minLength":1,"type":"string"},"tenantArticleId":{"description":"The tenant article id associated with this operations validation.","minLength":1,"type":"string"},"valueEntries":{"description":"The values registered for this tenantArticleId and key, each with the operative entity and process it was registered from. A value can only be registered once per tenantArticleId and key.","items":{"$ref":"#/components/schemas/OperationsValidationValueEntryForCreation"},"maxItems":50,"type":"array"}},"required":["tenantArticleId","valueEntries","key"],"title":"OperationsValidationForCreation","type":"object","description":"OperationsValidationForCreation"},"OperationsValidationValueEntryForCreation":{"properties":{"processRef":{"description":"ProcessRef of the referenced entity in sourceOperativeEntity.","minLength":1,"type":"string"},"sourceOperativeEntity":{"allOf":[{"$ref":"#/components/schemas/OperationsValidationSourceOperativeEntity"}],"description":"The operative entity this value was registered from."},"value":{"description":"The registered value.","minLength":1,"type":"string"}},"required":["value","processRef","sourceOperativeEntity"],"title":"OperationsValidationValueEntryForCreation","type":"object","description":"OperationsValidationValueEntryForCreation"},"OperationsValidationSourceOperativeEntity":{"properties":{"entityId":{"description":"ID of the operative entity.","minLength":1,"type":"string"},"recordableAttributeId":{"description":"ID of recordable attribute of the operative entity.","minLength":1,"type":"string"},"type":{"description":"Type of the operative entity. Currently only PICK_JOB is supported.","enum":["PICK_JOB"],"type":"string"}},"required":["entityId","recordableAttributeId","type"],"title":"OperationsValidationSourceOperativeEntity","type":"object","description":"OperationsValidationSourceOperativeEntity"},"OperationsValidation":{"properties":{"created":{"description":"The date this entity was created by fulfillmenttools. This value is generated by the service.","format":"date-time","type":"string"},"id":{"description":"Unique ID of this operations validation.","minLength":1,"type":"string"},"key":{"description":"The key associated with this operations validation. Together with tenantArticleId it must be unique.","minLength":1,"type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"tenantArticleId":{"description":"The tenant article id associated with this operations validation.","minLength":1,"type":"string"},"tenantArticleIdKey":{"description":"Read-only combination of tenantArticleId and key, separated by \"_\". Generated by the service and intended for display and search. Not guaranteed to be unique, as both tenantArticleId and key may contain \"_\". Use tenantArticleId and key for an exact match.","minLength":1,"readOnly":true,"type":"string"},"valueEntries":{"description":"The values registered for this tenantArticleId and key, each with the operative entity and process it was registered from. A value can only be registered once per tenantArticleId and key.","items":{"$ref":"#/components/schemas/OperationsValidationValueEntry"},"type":"array"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["created","lastModified","version","id","tenantArticleId","valueEntries","key","tenantArticleIdKey"],"title":"OperationsValidation","type":"object","description":"OperationsValidation"},"OperationsValidationValueEntry":{"properties":{"created":{"description":"Timestamp of creation for this entry.","format":"date-time","type":"string"},"deletionDate":{"description":"Times of automatic deletion of this entry.","format":"date-time","type":"string"},"processRef":{"description":"ProcessRef of the referenced entity in sourceOperativeEntity.","minLength":1,"type":"string"},"sourceOperativeEntity":{"allOf":[{"$ref":"#/components/schemas/OperationsValidationSourceOperativeEntity"}],"description":"The operative entity this value was registered from."},"value":{"description":"The registered value.","minLength":1,"type":"string"}},"required":["value","processRef","sourceOperativeEntity","created","deletionDate"],"title":"OperationsValidationValueEntry","type":"object","description":"OperationsValidationValueEntry"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/operationsvalidations":{"post":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Creates a new operations validation.","operationId":"createOperationsValidation","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperationsValidationForCreation"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperationsValidation"}}},"description":"The operations validation was successfully created."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Create operations validation","tags":["Operations validations"]}}}}
```

## Get operations validation

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Get operations validation by id.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read operations validations.","name":"Operations validations"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OperationsValidation":{"properties":{"created":{"description":"The date this entity was created by fulfillmenttools. This value is generated by the service.","format":"date-time","type":"string"},"id":{"description":"Unique ID of this operations validation.","minLength":1,"type":"string"},"key":{"description":"The key associated with this operations validation. Together with tenantArticleId it must be unique.","minLength":1,"type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"tenantArticleId":{"description":"The tenant article id associated with this operations validation.","minLength":1,"type":"string"},"tenantArticleIdKey":{"description":"Read-only combination of tenantArticleId and key, separated by \"_\". Generated by the service and intended for display and search. Not guaranteed to be unique, as both tenantArticleId and key may contain \"_\". Use tenantArticleId and key for an exact match.","minLength":1,"readOnly":true,"type":"string"},"valueEntries":{"description":"The values registered for this tenantArticleId and key, each with the operative entity and process it was registered from. A value can only be registered once per tenantArticleId and key.","items":{"$ref":"#/components/schemas/OperationsValidationValueEntry"},"type":"array"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["created","lastModified","version","id","tenantArticleId","valueEntries","key","tenantArticleIdKey"],"title":"OperationsValidation","type":"object","description":"OperationsValidation"},"OperationsValidationValueEntry":{"properties":{"created":{"description":"Timestamp of creation for this entry.","format":"date-time","type":"string"},"deletionDate":{"description":"Times of automatic deletion of this entry.","format":"date-time","type":"string"},"processRef":{"description":"ProcessRef of the referenced entity in sourceOperativeEntity.","minLength":1,"type":"string"},"sourceOperativeEntity":{"allOf":[{"$ref":"#/components/schemas/OperationsValidationSourceOperativeEntity"}],"description":"The operative entity this value was registered from."},"value":{"description":"The registered value.","minLength":1,"type":"string"}},"required":["value","processRef","sourceOperativeEntity","created","deletionDate"],"title":"OperationsValidationValueEntry","type":"object","description":"OperationsValidationValueEntry"},"OperationsValidationSourceOperativeEntity":{"properties":{"entityId":{"description":"ID of the operative entity.","minLength":1,"type":"string"},"recordableAttributeId":{"description":"ID of recordable attribute of the operative entity.","minLength":1,"type":"string"},"type":{"description":"Type of the operative entity. Currently only PICK_JOB is supported.","enum":["PICK_JOB"],"type":"string"}},"required":["entityId","recordableAttributeId","type"],"title":"OperationsValidationSourceOperativeEntity","type":"object","description":"OperationsValidationSourceOperativeEntity"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/operationsvalidations/{operationsValidationId}":{"get":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Get operations validation by id.","operationId":"getOperationsValidation","parameters":[{"in":"path","name":"operationsValidationId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperationsValidation"}}},"description":"Operations validation was found. The result is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Get operations validation","tags":["Operations validations"]}}}}
```

## Apply action to operations validation

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Adds values to or removes values from an operations validation.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read operations validations.","name":"Operations validations"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OperationsValidationAddValuesActionParameter":{"properties":{"name":{"description":"The name of the action.","enum":["ADD_VALIDATION_VALUES"],"type":"string"},"valueEntries":{"description":"The value entries to be added to the operations validation.","items":{"$ref":"#/components/schemas/OperationsValidationValueEntryForCreation"},"maxItems":50,"minItems":1,"type":"array"},"version":{"description":"Version of the operations validation to be changed.","minimum":0,"type":"number"}},"required":["name","version","valueEntries"],"title":"OperationsValidationAddValuesActionParameter","type":"object","description":"OperationsValidationAddValuesActionParameter"},"OperationsValidationValueEntryForCreation":{"properties":{"processRef":{"description":"ProcessRef of the referenced entity in sourceOperativeEntity.","minLength":1,"type":"string"},"sourceOperativeEntity":{"allOf":[{"$ref":"#/components/schemas/OperationsValidationSourceOperativeEntity"}],"description":"The operative entity this value was registered from."},"value":{"description":"The registered value.","minLength":1,"type":"string"}},"required":["value","processRef","sourceOperativeEntity"],"title":"OperationsValidationValueEntryForCreation","type":"object","description":"OperationsValidationValueEntryForCreation"},"OperationsValidationSourceOperativeEntity":{"properties":{"entityId":{"description":"ID of the operative entity.","minLength":1,"type":"string"},"recordableAttributeId":{"description":"ID of recordable attribute of the operative entity.","minLength":1,"type":"string"},"type":{"description":"Type of the operative entity. Currently only PICK_JOB is supported.","enum":["PICK_JOB"],"type":"string"}},"required":["entityId","recordableAttributeId","type"],"title":"OperationsValidationSourceOperativeEntity","type":"object","description":"OperationsValidationSourceOperativeEntity"},"OperationsValidationRemoveValuesActionParameter":{"properties":{"name":{"description":"The name of the action.","enum":["REMOVE_VALIDATION_VALUES"],"type":"string"},"values":{"description":"The values to be removed from the operations validation.","items":{"type":"string"},"maxItems":50,"minItems":1,"type":"array"},"version":{"description":"Version of the operations validation to be changed.","minimum":0,"type":"number"}},"required":["name","version","values"],"title":"OperationsValidationRemoveValuesActionParameter","type":"object","description":"OperationsValidationRemoveValuesActionParameter"},"OperationsValidation":{"properties":{"created":{"description":"The date this entity was created by fulfillmenttools. This value is generated by the service.","format":"date-time","type":"string"},"id":{"description":"Unique ID of this operations validation.","minLength":1,"type":"string"},"key":{"description":"The key associated with this operations validation. Together with tenantArticleId it must be unique.","minLength":1,"type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"tenantArticleId":{"description":"The tenant article id associated with this operations validation.","minLength":1,"type":"string"},"tenantArticleIdKey":{"description":"Read-only combination of tenantArticleId and key, separated by \"_\". Generated by the service and intended for display and search. Not guaranteed to be unique, as both tenantArticleId and key may contain \"_\". Use tenantArticleId and key for an exact match.","minLength":1,"readOnly":true,"type":"string"},"valueEntries":{"description":"The values registered for this tenantArticleId and key, each with the operative entity and process it was registered from. A value can only be registered once per tenantArticleId and key.","items":{"$ref":"#/components/schemas/OperationsValidationValueEntry"},"type":"array"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["created","lastModified","version","id","tenantArticleId","valueEntries","key","tenantArticleIdKey"],"title":"OperationsValidation","type":"object","description":"OperationsValidation"},"OperationsValidationValueEntry":{"properties":{"created":{"description":"Timestamp of creation for this entry.","format":"date-time","type":"string"},"deletionDate":{"description":"Times of automatic deletion of this entry.","format":"date-time","type":"string"},"processRef":{"description":"ProcessRef of the referenced entity in sourceOperativeEntity.","minLength":1,"type":"string"},"sourceOperativeEntity":{"allOf":[{"$ref":"#/components/schemas/OperationsValidationSourceOperativeEntity"}],"description":"The operative entity this value was registered from."},"value":{"description":"The registered value.","minLength":1,"type":"string"}},"required":["value","processRef","sourceOperativeEntity","created","deletionDate"],"title":"OperationsValidationValueEntry","type":"object","description":"OperationsValidationValueEntry"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/operationsvalidations/{operationsValidationId}/actions":{"post":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Adds values to or removes values from an operations validation.","operationId":"operationsValidationAction","parameters":[{"in":"path","name":"operationsValidationId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/OperationsValidationAddValuesActionParameter"},{"$ref":"#/components/schemas/OperationsValidationRemoveValuesActionParameter"}]}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperationsValidation"}}},"description":"The action was successfully applied. The updated operations validation is in the body."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"},"409":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"A version conflict occurred."}},"summary":"Apply action to operations validation","tags":["Operations validations"]}}}}
```

## List operations validations (search)

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Search for OperationsValidation

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read operations validations.","name":"Operations validations"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OperationsValidationSearchPayload":{"properties":{"after":{"deprecated":false,"description":"The cursor to start after for forward pagination. The value is provided in the `pageInfo.endCursor` field of the response. Cannot be used with `before` or `last`.","type":"string"},"before":{"description":"The cursor to start before for backward pagination. The value is provided in the `pageInfo.startCursor` field of the response. Cannot be used with `after` or `size` (first).","type":"string"},"last":{"description":"Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.","maximum":250,"minimum":1,"type":"number"},"options":{"allOf":[{"$ref":"#/components/schemas/SearchOptions"}],"description":"Additional options for the search request."},"query":{"$ref":"#/components/schemas/OperationsValidationSearchQuery"},"size":{"description":"Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.","maximum":250,"minimum":1,"type":"number"},"sort":{"description":"Use for sorting the result.","items":{"$ref":"#/components/schemas/OperationsValidationSort"},"maxItems":1,"minItems":1,"type":"array"},"startAfterId":{"deprecated":true,"description":"The ID to start after. Deprecated, use `after` with the value provided in `pageInfo.endCursor` instead.","type":"string"}},"required":["query"],"title":"OperationsValidationSearchPayload","type":"object","description":"OperationsValidationSearchPayload"},"SearchOptions":{"properties":{"withTotal":{"description":"Set to true to include the total count of items in the search result.","type":"boolean"}},"title":"SearchOptions","type":"object","description":"SearchOptions"},"OperationsValidationSearchQuery":{"properties":{"and":{"description":"Matches if all of the given queries match. Combined with the other filters on the same level by AND. Can be nested.","items":{"$ref":"#/components/schemas/OperationsValidationSearchQuery"},"maxItems":500,"type":"array"},"created":{"allOf":[{"$ref":"#/components/schemas/DateFilter"}],"description":"Search entries by created. Applying a narrow and well-considered filter value is strongly recommended, as it can greatly improve response times, especially when working with large datasets."},"id":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by id"},"key":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by key"},"lastModified":{"allOf":[{"$ref":"#/components/schemas/DateFilter"}],"description":"Search by lastModified"},"or":{"description":"Matches if at least one of the given queries matches. Combined with the other filters on the same level by AND. Can be nested.","items":{"$ref":"#/components/schemas/OperationsValidationSearchQuery"},"maxItems":500,"type":"array"},"tenantArticleId":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by tenantArticleId"},"tenantArticleIdKey":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by tenantArticleIdKey"},"valueEntries":{"allOf":[{"$ref":"#/components/schemas/OperationsValidationValueEntriesListFilter"}],"description":"Nested list search by valueEntries"}},"title":"OperationsValidationSearchQuery","type":"object","description":"OperationsValidationSearchQuery"},"DateFilter":{"properties":{"after":{"description":"Search using ISO‑8601 dates relative to today. Prefix with “–” for past dates. Results include events after the specified date. Example: “–P1D” for yesterday, “P1W” for next week.","maxLength":256,"type":"string"},"before":{"description":"Search using ISO‑8601 dates relative to today. Prefix with “–” for past dates. Results include events before the specified date. Example: “–P1D” for yesterday, “P1W” for next week.","maxLength":256,"type":"string"},"eq":{"format":"date-time","type":"string"},"gt":{"format":"date-time","type":"string"},"gte":{"format":"date-time","type":"string"},"lt":{"format":"date-time","type":"string"},"lte":{"format":"date-time","type":"string"},"notEq":{"description":"Matches all values not equal to the given value, including entities where the field is not set","format":"date-time","type":"string"}},"title":"DateFilter","type":"object","description":"DateFilter"},"StringFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"in":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"},"notEq":{"description":"Matches all values not equal to the given value, including entities where the field is not set","maxLength":256,"type":"string"},"notIn":{"description":"Matches all values not contained in the given list, including entities where the field is not set","items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"}},"title":"StringFilter","type":"object","description":"StringFilter"},"OperationsValidationValueEntriesListFilter":{"properties":{"contains":{"allOf":[{"$ref":"#/components/schemas/OperationsValidationValueEntriesFilter"}],"description":"Contains returns if at least one entry matches"},"exists":{"description":"exists:false matches empty or absent lists; exists:true matches non-empty lists","type":"boolean"}},"title":"OperationsValidationValueEntriesListFilter","type":"object","description":"OperationsValidationValueEntriesListFilter"},"OperationsValidationValueEntriesFilter":{"properties":{"processRef":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by processRef"},"sourceOperativeEntity":{"allOf":[{"$ref":"#/components/schemas/OperationsValidationValueEntriesSourceOperativeEntityFilter"}],"description":"Nested search by sourceOperativeEntity"},"value":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by value"}},"title":"OperationsValidationValueEntriesFilter","type":"object","description":"OperationsValidationValueEntriesFilter"},"OperationsValidationValueEntriesSourceOperativeEntityFilter":{"properties":{"entityId":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by entityId"}},"title":"OperationsValidationValueEntriesSourceOperativeEntityFilter","type":"object","description":"OperationsValidationValueEntriesSourceOperativeEntityFilter"},"OperationsValidationSort":{"properties":{"created":{"enum":["ASC","DESC"],"type":"string"},"id":{"enum":["ASC","DESC"],"type":"string"},"key":{"enum":["ASC","DESC"],"type":"string"},"lastModified":{"enum":["ASC","DESC"],"type":"string"},"tenantArticleId":{"enum":["ASC","DESC"],"type":"string"},"tenantArticleIdKey":{"enum":["ASC","DESC"],"type":"string"}},"title":"OperationsValidationSort","type":"object","description":"OperationsValidationSort"},"OperationsValidationPaginatedResult":{"properties":{"operationsValidations":{"items":{"$ref":"#/components/schemas/OperationsValidation"},"type":"array"},"pageInfo":{"allOf":[{"$ref":"#/components/schemas/PageInfo"}],"description":"Pagination information for the search result."},"total":{"description":"The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.","minimum":0,"type":"number"}},"required":["pageInfo","operationsValidations"],"title":"OperationsValidationPaginatedResult","type":"object","description":"OperationsValidationPaginatedResult"},"OperationsValidation":{"properties":{"created":{"description":"The date this entity was created by fulfillmenttools. This value is generated by the service.","format":"date-time","type":"string"},"id":{"description":"Unique ID of this operations validation.","minLength":1,"type":"string"},"key":{"description":"The key associated with this operations validation. Together with tenantArticleId it must be unique.","minLength":1,"type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"tenantArticleId":{"description":"The tenant article id associated with this operations validation.","minLength":1,"type":"string"},"tenantArticleIdKey":{"description":"Read-only combination of tenantArticleId and key, separated by \"_\". Generated by the service and intended for display and search. Not guaranteed to be unique, as both tenantArticleId and key may contain \"_\". Use tenantArticleId and key for an exact match.","minLength":1,"readOnly":true,"type":"string"},"valueEntries":{"description":"The values registered for this tenantArticleId and key, each with the operative entity and process it was registered from. A value can only be registered once per tenantArticleId and key.","items":{"$ref":"#/components/schemas/OperationsValidationValueEntry"},"type":"array"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["created","lastModified","version","id","tenantArticleId","valueEntries","key","tenantArticleIdKey"],"title":"OperationsValidation","type":"object","description":"OperationsValidation"},"OperationsValidationValueEntry":{"properties":{"created":{"description":"Timestamp of creation for this entry.","format":"date-time","type":"string"},"deletionDate":{"description":"Times of automatic deletion of this entry.","format":"date-time","type":"string"},"processRef":{"description":"ProcessRef of the referenced entity in sourceOperativeEntity.","minLength":1,"type":"string"},"sourceOperativeEntity":{"allOf":[{"$ref":"#/components/schemas/OperationsValidationSourceOperativeEntity"}],"description":"The operative entity this value was registered from."},"value":{"description":"The registered value.","minLength":1,"type":"string"}},"required":["value","processRef","sourceOperativeEntity","created","deletionDate"],"title":"OperationsValidationValueEntry","type":"object","description":"OperationsValidationValueEntry"},"OperationsValidationSourceOperativeEntity":{"properties":{"entityId":{"description":"ID of the operative entity.","minLength":1,"type":"string"},"recordableAttributeId":{"description":"ID of recordable attribute of the operative entity.","minLength":1,"type":"string"},"type":{"description":"Type of the operative entity. Currently only PICK_JOB is supported.","enum":["PICK_JOB"],"type":"string"}},"required":["entityId","recordableAttributeId","type"],"title":"OperationsValidationSourceOperativeEntity","type":"object","description":"OperationsValidationSourceOperativeEntity"},"PageInfo":{"properties":{"endCursor":{"description":"The cursor to use to fetch the next page of items. Use with parameter `after`.","type":"string"},"hasNextPage":{"description":"If true, there are more items after the current page.","type":"boolean"},"hasPreviousPage":{"description":"If true, there are more items before the current page.","type":"boolean"},"startCursor":{"description":"The cursor to use to fetch the previous page of items.","type":"string"}},"required":["hasNextPage","hasPreviousPage","startCursor","endCursor"],"title":"PageInfo","type":"object","description":"PageInfo"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/operationsvalidations/search":{"post":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Search for OperationsValidation","operationId":"searchOperationsValidation","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperationsValidationSearchPayload"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperationsValidationPaginatedResult"}}},"description":"Your search result"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"List operations validations (search)","tags":["Operations validations"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/operations-validations.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
